body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
  }
  header {
    background-color: #333;
    color: #fff;
    padding: 20px;
    text-align: center;
  }
  h1 {
    margin: 0;
  }
  h2{
    text-align: center;
    justify-content: center;
    font-size: 200%;
  }
  h3{
    text-align: center;
    justify-content: center;
    margin-top: 10%;
    font-size: 200%;
  }

  .line{

    margin-top: 10%; 
    height: 3px;
    /* right: 200%; */
    width: 100%;
    background: #F2F2F2;

  }
  .blog-post {
    margin-bottom: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid #ccc;
    border-top: 1px solid #ccc;

  }
  .blog-title {
    font-size: 24px;
    font-weight: bold;
    justify-content: center;
    text-align: center;
    /* margin-bottom: 10px; */
  }
  .blog-content {
    font-size: 16px;
    line-height: 1.5;
  }
  .form-group {
    margin-bottom: 10px;
  }
  label {
    display: block;
    font-weight: bold;
  }
  input[type="text"],
  textarea {
    width: 100%;
    padding: 5px;
    font-size: 16px;
    margin-top: 2%;
    margin-bottom: 4%;
  }
  
  button {
    display: block;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #f9b234;
    border: none;
    color: #FFF;
    border-radius: 4px;
    cursor: pointer;
    margin: auto;
  }
  button:hover {
    background-color: #555;
  }
  .like-button {
    background-color: #333;
    color: #fff;
    padding: 5px 10px;
    border: none;
    cursor: pointer;
  }
  .like-count {
    font-size: 14px;
    margin-top: 5px;
  }
  nav {
    background-color: #333;
    color: #fff;
    padding: 10px;
    display: flex;
    justify-content: space-between;
  }

  nav a {
    text-decoration: none;
    color: #fff;
    padding: 10px;
  }

  nav a:hover {
    color: #fddb3a;
  }
  
  nav .dot {
    width: 6px;
    height: 6px;
    background: #fddb3a;
    border-radius: 50%;
    opacity: 0;
    -webkit-transform: translateX(30px);
    transform: translateX(30px);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
  }
  
  nav a:nth-child(1):hover ~ .dot {
    -webkit-transform: translateX(30px);
    transform: translateX(30px);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    opacity: 1;
  }
  
  nav a:nth-child(2):hover ~ .dot {
    -webkit-transform: translateX(110px);
    transform: translateX(110px);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    opacity: 1;
  }
  
  nav a:nth-child(3):hover ~ .dot {
    -webkit-transform: translateX(200px);
    transform: translateX(200px);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    opacity: 1;
  }
  
  nav a:nth-child(4):hover ~ .dot {
    -webkit-transform: translateX(285px);
    transform: translateX(285px);
    -webkit-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    opacity: 1;
  }

  .container {
    max-width: 80%;
    margin: 20px auto;
    padding: 20px;
  }

  .about {
    background-color: #f9f9f9;
    padding: 20px;
    margin-bottom: 20px;
  }

  .about h2 {
    margin-top: 0;
  }

  .ag-courses_box {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    /* padding: 50px 0; */
  }
  

  #blog-list {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
    max-width: 1142px;
    padding: 50px 0;
  }
  
  .blog-post {
    flex-basis: calc(33.33333% - 30px);
    margin: 0 15px 30px;
    overflow: hidden;
    border-radius: 10%;
    box-shadow:#000;
  }
  
  .blog-title {
    overflow: hidden;
    font-weight: bold;
    font-size: 30px;
    color: #000;
    z-index: 2;
    position: relative;
    text-align: center;
    justify-content: center;
  }
  
  .blog-content {
    font-size: 18px;
    color: #000;
    z-index: 2;
    position: relative;
    text-align: center;
    justify-content: center;
  }
  
  .blog-post button {
    display: block;
    padding: 10px 20px;
    font-size: 16px;
    background-color: #f9b234;
    border: none;
    color: #FFF;
    border-radius: 4px;
    cursor: pointer;
    margin: auto;
  }
  
  .blog-post button:hover {
    background-color: #e6961c;
  }